Package org.kapott.hbci.smartcardio

# Enum RSAKeyData.Type

java.lang.Object
java.lang.Enum<RSAKeyData.Type>
org.kapott.hbci.smartcardio.RSAKeyData.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<RSAKeyData.Type>`, `java.lang.constant.Constable`

Enclosing class:
  `RSAKeyData`

public static enum RSAKeyData.Type extends Enum<RSAKeyData.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DECIPHER`
`ENCIPHER`
`SIGN`
`VERIFY`

## Method Summary

Modifier and Type
Method
Description
`static RSAKeyData.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static RSAKeyData.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ENCIPHER

public static final RSAKeyData.Type ENCIPHER

### SIGN

public static final RSAKeyData.Type SIGN

### DECIPHER

public static final RSAKeyData.Type DECIPHER

### VERIFY

public static final RSAKeyData.Type VERIFY

## Method Details

### values

public static RSAKeyData.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static RSAKeyData.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null